# Recruiting needs ## `PUT /api/recruiting` **Set recruiting needs** Replaces the full set of wanted roles and classes. An officer must be signed in. **Request body** Model: {ref}`RecruitingUpdate ` | Field | Type | Required | Description | |---|---|---|---| | `roles` | array of {ref}`RecruitingRoleWant ` | no | | | `classes` | array of {ref}`RecruitingClassWant ` | no | | **Response `200` — The updated recruiting needs.** Model: {ref}`Recruiting ` | Field | Type | Required | Description | |---|---|---|---| | `roles` | array of {ref}`RecruitingRoleWant ` | yes | | | `classes` | array of {ref}`RecruitingClassWant ` | yes | | | `updated_at` | string (date-time) \| null | yes | When an officer last saved this. None if it has never been set. |